<?

include '../../config.php';
include '../../func.php';
head();

$config = mysql_fetch_assoc(mysql_query("SELECT * FROM `config`"));

if ( $_GET['mod'] == 'razdel_edit' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Раздел успешно изменен' . div;
    
}

if ( $_GET['mod'] == 'razdel_edit' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при изменении раздела' . div;
    
}

if ( $_GET['mod'] == 'empty_name' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Вы не ввели название раздела' . div;
    
}

if ( $_GET['mod'] == 'razdel_add' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Раздел успешно создан' . div;
    
}

if ( $_GET['mod'] == 'razdel_add' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при создании раздела' . div;
    
}

if ( $_GET['mod'] == 'razdel_delete' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Раздел успешно удален' . div;
    
}

if ( $_GET['mod'] == 'razdel_delete' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при удалении раздела' . div;
    
}
##################################

if ( $_GET['mod'] == 'status' ) {
    
    if ( $config['status_photo'] == 0 ) {
        mysql_query("UPDATE `config` SET `status_photo` = '1'");
        echo link2 . 'Фотоальбом включен' . div;
    } else {
        mysql_query("UPDATE `config` SET `status_photo` = '0'");
        echo link2 . 'Фотоальбом выключен' . div;        
    }
    
}

if ( $config['status_photo'] == 0 ) {
    echo link2 . 'Статус модуля: <b>Выключен</b><br/ > 
    [<a href="index.php?mod=status">ON</a>] <b>OFF</b><br/ >' . div;
} else {
    echo link2 . 'Статус модуля: <b>Включен</b><br/ > 
    [<a href="index.php?mod=status">OFF</a>] <b>ON</b><br/ >' . div;    
}

$result = mysql_query("SELECT * FROM photo_raz");
while($catalog = mysql_fetch_assoc($result)){



echo link2 . "Раздел: <a href=\"../../../obmen/catalog.php?id=".$catalog['id']."\">".$catalog['nazwan']."</a><br/ ><br/ >";
echo '<a href="razdel_edit.php?id='.$catalog['id'].'">Править</a> <a href="razdel_delete.php?id='.$catalog['id'].'">Удалить</a>' . div;
}

###########


echo link1 . '<a href="razdel_add.php">Создать раздел</a>' . div;